Skip to main content
GET
/
v2
/
accounting
/
activity
List accounting activity
curl --request GET \
  --url https://sandbox.groundtech.co/v2/accounting/activity \
  --header 'Authorization: Bearer <token>'
{
  "activity": [
    {
      "id": "05e1c3b2-6d34-4c0f-99a9-40621931c4e6",
      "type": "deposit",
      "amountUsd": "5000.000000",
      "timestamp": "2026-05-01T15:04:22.000Z",
      "detail": {
        "status": "completed",
        "token": "usdc",
        "chain": "ethereum_sepolia",
        "txHash": "0xb4ec6ad9f2f2d75fb8df30c6e49b1f319138f0172d7bff7c402e7dcb7f017e8a",
        "fromAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
        "completedAt": "2026-05-01T15:05:11.000Z"
      }
    }
  ],
  "nextCursor": null,
  "hasMore": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.groundtech.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

walletId
string<uuid>

Wallet ID for a wallet-scoped activity feed. Provide exactly one of walletId or scope=organization.

scope
enum<string>

Use organization for an organization-wide activity feed. Provide exactly one of walletId or scope=organization.

Available options:
organization
startAt
string<date-time>
required

Inclusive ISO-8601 UTC lower bound for activity timestamps.

endAt
string<date-time>
required

Exclusive ISO-8601 UTC upper bound for activity timestamps.

cursor
string

Opaque cursor from a prior response.

limit
integer
default:20

Maximum number of activity items to return.

Required range: 1 <= x <= 100
type
enum<string>

Filter by activity type.

Available options:
deposit,
withdrawal

Response

Accounting activity feed

activity
object[]
nextCursor
string | null
hasMore
boolean